Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.support
Class ExtenderConfiguration

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.support.ExtenderConfiguration

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class ExtenderConfiguration

extends Object
implements org.osgi.framework.BundleActivator

Configuration class for the extender. Takes care of locating the extender specific configurations and merging the results with the defaults.

Author:
  Costin Leau

Field Summary
`protected org.apache.commons.logging.Log` | `log` logger

Constructor Summary
`ExtenderConfiguration()`

Method Summary
`protected void` | `addDefaultDependencyFactories()`
`ClassLoader` | `getClassLoader()` Returns the class loader wrapped around the extender bundle.
`OsgiApplicationContextCreator` | `getContextCreator()` Returns the contextCreator.
`OsgiBundleApplicationContextListener` | `getContextEventListener()` Returns the contextEventListener.
`List<OsgiServiceDependencyFactory>` | `getDependencyFactories()` Returns the dependencies factories declared by the extender configuration.
`long` | `getDependencyWaitTime()` Returns the dependencyWaitTime.
`OsgiBundleApplicationContextEventMulticaster` | `getEventMulticaster()` Returns the eventMulticaster.
`List<OsgiBeanFactoryPostProcessor>` | `getPostProcessors()` Returns the postProcessors.
`org.springframework.core.task.TaskExecutor` | `getShutdownTaskExecutor()` Returns the shutdown task executor.
`long` | `getShutdownWaitTime()` Returns the shutdownWaitTime.
`org.springframework.core.task.TaskExecutor` | `getTaskExecutor()` Returns the taskExecutor.
`protected OsgiApplicationContextCreator` | `postProcess(OsgiApplicationContextCreator contextCreator)` Allows post processing of the context creator.
`void` | `setForceThreadShutdown(boolean forceThreadShutdown)` Sets the flag to force the taskExtender to close up in case of runaway threads - this applies *only* if the taskExecutor has been created internally.
`boolean` | `shouldProcessAnnotation()` Indicates if the process annotation is enabled or not.
`boolean` | `shouldShutdownAsynchronously()`
`void` | `start(org.osgi.framework.BundleContext extenderBundleContext)` Constructs a new `ExtenderConfiguration` instance.
`void` | `stop(org.osgi.framework.BundleContext extenderBundleContext)` Cleanup the configuration items.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

  logger

Constructor Detail

### ExtenderConfiguration

    public ExtenderConfiguration()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext extenderBundleContext)

  Constructs a new `ExtenderConfiguration` instance. Locates the extender configuration, creates an application context which will returned the extender items.

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Parameters:
    `extenderBundleContext` - extender OSGi bundle context

### postProcess

    protected OsgiApplicationContextCreator postProcess(OsgiApplicationContextCreator contextCreator)

  Allows post processing of the context creator.

  Parameters:
    `contextCreator` -
  Returns:

### stop

    public void stop(org.osgi.framework.BundleContext extenderBundleContext)

  Cleanup the configuration items.

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`

### addDefaultDependencyFactories

    protected void addDefaultDependencyFactories()

### getTaskExecutor

    public org.springframework.core.task.TaskExecutor getTaskExecutor()

  Returns the taskExecutor.

  Returns:
    Returns the taskExecutor

### getShutdownTaskExecutor

    public org.springframework.core.task.TaskExecutor getShutdownTaskExecutor()

  Returns the shutdown task executor.

  Returns:
    Returns the shutdown task executor

### getContextEventListener

    public OsgiBundleApplicationContextListener getContextEventListener()

  Returns the contextEventListener.

  Returns:
    Returns the contextEventListener

### getShutdownWaitTime

    public long getShutdownWaitTime()

  Returns the shutdownWaitTime.

  Returns:
    Returns the shutdownWaitTime

### shouldProcessAnnotation

    public boolean shouldProcessAnnotation()

  Indicates if the process annotation is enabled or not.

  Returns:
    Returns true if the annotation should be processed or not otherwise.

### shouldShutdownAsynchronously

    public boolean shouldShutdownAsynchronously()

  Returns:
    whether the application context shutdown during the bundle stop phase shall be performed asynchronously.

### getDependencyWaitTime

    public long getDependencyWaitTime()

  Returns the dependencyWaitTime.

  Returns:
    Returns the dependencyWaitTime

### getEventMulticaster

    public OsgiBundleApplicationContextEventMulticaster getEventMulticaster()

  Returns the eventMulticaster.

  Returns:
    Returns the eventMulticaster

### setForceThreadShutdown

    public void setForceThreadShutdown(boolean forceThreadShutdown)

  Sets the flag to force the taskExtender to close up in case of runaway threads - this applies *only* if the taskExecutor has been created internally.

  The flag will cause a best attempt to shutdown the threads.

  Parameters:
    `forceThreadShutdown` - The forceThreadShutdown to set.

### getContextCreator

    public OsgiApplicationContextCreator getContextCreator()

  Returns the contextCreator.

  Returns:
    Returns the contextCreator

### getPostProcessors

    public List<OsgiBeanFactoryPostProcessor> getPostProcessors()

  Returns the postProcessors.

  Returns:
    Returns the postProcessors

### getClassLoader

    public ClassLoader getClassLoader()

  Returns the class loader wrapped around the extender bundle.

  Returns:
    extender bundle class loader

### getDependencyFactories

    public List<OsgiServiceDependencyFactory> getDependencyFactories()

  Returns the dependencies factories declared by the extender configuration. The list automatically contains the default listeners (such as the annotation one).

  Returns:
    list of dependency factories

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.